Opened 9 years ago

Closed 9 years ago

#5745 closed bug (fixed)

[tar] [PATCH] Dependency on libiconv

Reported by: andreasf Owned by: bonefish
Priority: normal Milestone: R1
Component: Build System Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: x86

Description

A vanilla Haiku hrev36331 image fails to extract the non-optional firmware packages with a runtime_loader error about libiconv.so.2. Reproducible by running tar.

Attachments (1)

tar-libiconv-dep.diff (417 bytes) - added by andreasf 9 years ago.
proposed patch

Download all attachments as: .zip

Change History (4)

Changed 9 years ago by andreasf

Attachment: tar-libiconv-dep.diff added

proposed patch

comment:1 Changed 9 years ago by andreasf

Summary: [tar] Dependency on libiconv[tar] [PATCH] Dependency on libiconv

The attached patch adds a package dependency on LibIconv to fix this.

comment:2 in reply to:  description Changed 9 years ago by andreasf

Replying to andreasf:

A vanilla Haiku hrev36331 image fails to extract the non-optional firmware packages with a runtime_loader error about libiconv.so.2. Reproducible by running tar.

Em, I meant the extraction of the firmware package fails on an image with the Development optional package added, obviously. On vanilla Haiku it's reproducible by just running tar.

comment:3 Changed 9 years ago by mmadia

Resolution: fixed
Status: newclosed

Applied in hrev36339. Thanks!

Note: See TracTickets for help on using tickets.